> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.validationconstraints.md).

# ValidationConstraints

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines how to validate a container's child controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ValidationConstraints : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ValidationConstraints As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                  | Description                                                                                                    |
| --------------------- | -------------------------------------------------------------------------------------------------------------- |
| **Enabled**           | Validates child controls whose [Enabled](/api/wisej.web/general/control.md#enabled) property is set to true.   |
| **ImmediateChildren** | Validates child controls that are immediate children of the container.                                         |
| **None**              | Validates all child controls, and all children of these child controls, regardless of their property settings. |
| **Selectable**        | Validates child controls that can be selected.                                                                 |
| **TabStop**           | Validates child controls that have a [TabStop](/api/wisej.web/general/control.md#tabstop) value set to true.   |
| **Visible**           | Validates child controls whose [Visible](/api/wisej.web/general/control.md#visible) property is set to true.   |

## Used By

| Name                                                                                                | Description                                                                                                                                       |
| --------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Control.ValidateChildren](/api/wisej.web/general/control.md#validatechildren)                      | Validates all the child controls in the container. Exactly which controls are validated and which controls are skipped is determined by *flags* . |
| [Page.ValidateChildren](/api/wisej.web/containers/wisej.web.page.md#validatechildren)               | Validates all the child controls in the container. Exactly which controls are validated and which controls are skipped is determined by *flags* . |
| [UserControl.ValidateChildren](/api/wisej.web/containers/wisej.web.usercontrol.md#validatechildren) | Validates all the child controls in the container. Exactly which controls are validated and which controls are skipped is determined by *flags* . |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.validationconstraints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
